Đến nội dung


Hình ảnh
- - - - -

matchprop (ma) từ đối tượng khác


  • Please log in to reply
6 replies to this topic

#1 pawuta

pawuta

    biết lệnh move

  • Members
  • PipPipPip
  • 126 Bài viết
Điểm đánh giá: -12 (hơi kém)

Đã gửi 04 November 2014 - 05:09 PM

chào ACE, mình có một vấn đề nhỏ xin các pro giúp đỡ,

em muốn MA 1 đối tượng mà làm ngược lại thao tác trong cad,

cụ thể là chọn đối tượng A (muốn thay đổi thành B trước) rồi mới click vào đối tượng B muốn lấy thuộc tính cho đối tượng A

Vì công việc liên quan đến đồ bản, các đối tượng ở xa nhau nên muốn thao tác thế này cho tiện

Mong ACE chỉ cách làm

 


  • 0

#2 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5454 Bài viết
Điểm đánh giá: 2626 (tuyệt vời)

Đã gửi 04 November 2014 - 08:50 PM

Chắc là bạn muốn lệnh MA ngược kiểu này?

(defun C:MAN/ ss ent)
 (princ "\nSelect destination object(s)...")
 (setq ss (ssget))
 (setq ent (car (entsel "\nSelect source object: ")))
 (command "MATCHPROP" ent ss ""))
 


  • 1

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#3 pawuta

pawuta

    biết lệnh move

  • Members
  • PipPipPip
  • 126 Bài viết
Điểm đánh giá: -12 (hơi kém)

Đã gửi 05 November 2014 - 08:15 AM

cám ơn bạn Hà đã trả lời nhưng lisp minh load khong chạy được bạn ơi


  • 0

#4 nhoclangbat

nhoclangbat

    Edu level: li10

  • Members
  • PipPipPipPipPipPipPip
  • 1409 Bài viết
Điểm đánh giá: 379 (khá)

Đã gửi 05 November 2014 - 08:27 AM

- hi hi do anh Ha code nhanh í mà, bạn mở file lsp đó ra sữa thử dòng đầu thế này xem ^^ (defun c:Man (/ ss ent)


  • 1
"...................][)e\/i][_ /\/\@Y CrY....................."

(defun THỔ_DÂN_HỌC_CAD (xxxx) ...) ^_^








#5 pawuta

pawuta

    biết lệnh move

  • Members
  • PipPipPip
  • 126 Bài viết
Điểm đánh giá: -12 (hơi kém)

Đã gửi 05 November 2014 - 08:32 AM

haha, được rồi! thank các bác rất nhiều!


  • 0

#6 pawuta

pawuta

    biết lệnh move

  • Members
  • PipPipPip
  • 126 Bài viết
Điểm đánh giá: -12 (hơi kém)

Đã gửi 05 November 2014 - 08:42 AM

trong này muốn thank thì làm thế nào zậy các bác!!! ):0


  • 0

#7 nhoclangbat

nhoclangbat

    Edu level: li10

  • Members
  • PipPipPipPipPipPipPip
  • 1409 Bài viết
Điểm đánh giá: 379 (khá)

Đã gửi 05 November 2014 - 08:46 AM

mũi tên xanh góc phải dưới mỗi bài đó bạn ^^


  • 1
"...................][)e\/i][_ /\/\@Y CrY....................."

(defun THỔ_DÂN_HỌC_CAD (xxxx) ...) ^_^